org.osgi.framework.hooks.weaving

## Class WeavingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.osgi.framework.hooks.weaving.WeavingException

All Implemented Interfaces:
  Serializable

    public class WeavingException
    extends RuntimeException

A weaving exception used to indicate that the class load should be failed but the weaving hook must not be deny listed by the framework.

This exception conforms to the general purpose exception chaining mechanism.

Author:
  $Id: 29ebe6460fbe20ce8037f14a162c72f633b1de31 $
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WeavingException(String msg)` Creates a `WeavingException` with the specified message.
`WeavingException(String msg, Throwable cause)` Creates a `WeavingException` with the specified message and exception cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WeavingException

    public WeavingException(String msg,
                            Throwable cause)

Creates a `WeavingException` with the specified message and exception cause.

Parameters:
  `msg` - The associated message.
  `cause` - The cause of this exception.

#### WeavingException

    public WeavingException(String msg)

Creates a `WeavingException` with the specified message.

Parameters:
  `msg` - The message.